Package: org.gradle.nativeplatform

## [Java] Interface PrebuiltStaticLibraryBinary

- org.gradle.nativeplatform.NativeBinary

- All Superinterfaces:
    StaticLibraryBinary, Binary, NativeLibraryBinary, NativeBinary

  A static library that exists at a known location on the filesystem.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `setStaticLibraryFile(File staticLibraryFile)` The static library binary file.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface StaticLibraryBinary` | `getStaticLibraryFile`
    `interface NativeLibraryBinary` | `getHeaderDirs, getLinkFiles, getRuntimeFiles`
    `interface NativeBinary` | `getBuildType, getFlavor, getTargetPlatform`
    `interface Binary` | `getDisplayName`

- - ### Method Detail

    - #### public void setStaticLibraryFile(File staticLibraryFile)

      The static library binary file.